> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# スキャンのSBOMをダウンロード

> 完了したスキャンのSBOMをCycloneDX JSON形式でダウンロードします。`heeler.view_sastscan`（**View SAST Scan**権限）が必要です。プロジェクトのアクセス制御が有効な場合は、そのプロジェクトへのアクセス権も必要です。依存関係の一覧が空の場合は、components配列が空のドキュメントを返します。



## OpenAPI

````yaml /ja/api-reference/openapi.json get /scan/{scan_id}/sbom
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
  - url: https://eu.corgea.app/api/v1
    description: EU本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scan/{scan_id}/sbom:
    get:
      tags:
        - Dependencies
      summary: スキャンのSBOMをダウンロード
      description: >-
        完了したスキャンのSBOMをCycloneDX JSON形式でダウンロードします。`heeler.view_sastscan`（**View
        SAST
        Scan**権限）が必要です。プロジェクトのアクセス制御が有効な場合は、そのプロジェクトへのアクセス権も必要です。依存関係の一覧が空の場合は、components配列が空のドキュメントを返します。
      operationId: getScanSbom
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: CycloneDX SBOMのJSONドキュメント
          headers:
            Content-Disposition:
              schema:
                type: string
              example: attachment; filename="sbom_<scan_id>.json"
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: スキャンが完了していません
        '401':
          description: APIキーがないか無効です
        '403':
          description: 権限がありません
        '404':
          description: スキャンが見つからない、アクセスできない、またはSBOMデータが利用できません
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー 無効なユーザーのAPIトークンは拒否されます。
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.